%define upstream_name    Dist-Zilla
%define upstream_version 4.200004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Something that provides a version number for the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup) >= 0.309.0
BuildRequires: perl(App::Cmd::Tester) >= 0.306.0
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(CPAN::Meta::Converter) >= 2.101.550
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.101.390
BuildRequires: perl(CPAN::Meta::Validator) >= 2.101.550
BuildRequires: perl(CPAN::Uploader) >= 0.101.550
BuildRequires: perl(Carp)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::MVP::Assembler)
BuildRequires: perl(Config::MVP::Assembler::WithBundles)
BuildRequires: perl(Config::MVP::Reader) >= 2.101.540
BuildRequires: perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires: perl(Config::MVP::Reader::Finder)
BuildRequires: perl(Config::MVP::Reader::INI) >= 2.0.0
BuildRequires: perl(Config::MVP::Section) >= 2.200.1
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(DateTime) >= 0.440.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest) >= 1.540.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Dispatchouli) >= 1.102.220
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Autobox) >= 0.100.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::SetOnce)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Perl::PrereqScanner) >= 0.100.830
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Pod::Eventual) >= 0.91.480
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::License) >= 0.101.370
BuildRequires: perl(Software::LicenseUtils)
BuildRequires: perl(String::Formatter) >= 0.100.680
BuildRequires: perl(String::RewritePrefix) >= 0.5.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Term::UI)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Version::Requirements) >= 0.100.630
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(autobox) >= 2.530.0
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(version)
BuildRequires: perl-ExtUtils-Manifest
BuildArch:  noarch

Requires:   perl(version) >= 1:0.790.0
Obsoletes:  perl-Dist-Zilla-Plugin-AutoPrereq

Suggests: perl(Task::Dist::Zilla)

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like the ExtUtils::MakeMaker manpage, the Module::Build
manpage, or the Module::Install manpage. Unlike those tools, however, it is
not also a system for installing code that has been downloaded from the
CPAN. Since it's only run by authors, and is meant to be run on a
repository checkout rather than on published, released code, it can do much
more than those tools, and is free to make much more ludicrous demands in
terms of prerequisites.

For more information, see the Dist::Zilla::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std
install -d %{buildroot}/etc/bash_completion.d/
install -m 644 misc/dzil-bash_completion %{buildroot}/etc/bash_completion.d/dzil

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/dzil
/etc/bash_completion.d/dzil

%changelog
* Tue Feb 22 2011 jquelin <jquelin> 4.200.4-1.mga1
+ Revision: 56556
- update to 4.200004

* Wed Jan 26 2011 jquelin <jquelin> 4.102.343-1.mga1
+ Revision: 39988
- mageia rebuild
- imported package perl-Dist-Zilla

